Bug 1012554 - (CVE-2013-4369) CVE-2013-4369 xen: possible null dereference when parsing vif ratelimiting info (XSA-68)
CVE-2013-4369 xen: possible null dereference when parsing vif ratelimiting in...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131010,repor...
: Security
Depends On: 1017843
Blocks: 1012558
  Show dependency treegraph
 
Reported: 2013-09-26 12:00 EDT by Vincent Danen
Modified: 2016-03-04 06:42 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-26 12:01:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-09-26 12:00:05 EDT
The libxlu library function xlu_vif_parse_rate does not properly
handle inputs which consist solely of the '@' character, leading to a
NULL pointer dereference.

A toolstack which allows untrusted users to specify an arbitrary
configuration for the VIF rate can be subjected to a DOS.

The only known user of this library is the xl toolstack which does not
have a central long running daemon and therefore the impact is limited
to crashing the process which is creating the domain, which exists
only to service a single domain.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 1 Vincent Danen 2013-09-26 12:01:21 EDT
Statement:

Not vulnerable.

This issue does not affect the versions of the xen package as shipped with Red Hat Enterprise Linux 5 as it does not provide support for the libxl toolstack.

This issue does not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2.
Comment 2 Vincent Danen 2013-10-10 11:57:20 EDT
External References:

http://xenbits.xen.org/xsa/advisory-68.html
Comment 3 Vincent Danen 2013-10-10 11:58:45 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1017843]

Note You need to log in before you can comment on or make changes to this bug.